# OpenLayers.Format.WFST.v1_0_0

A format for creating WFS v1.0.0 transactions. Create a new instance with the OpenLayers.Format.WFST.v1_0_0 constructor.

#### Inherits from

- OpenLayers.Format.Filter.v1_0_0
- OpenLayers.Format.WFST.v1

Summary

OpenLayers.Format.WFST.v1_0_0 | A format for creating WFS v1.0.0 transactions.
Properties |
srsNameInQuery | {Boolean} If true the reference system is passed in Query requests via the “srsName” attribute to the “wfs:Query” element, this property defaults to false as it isn’t WFS 1.0.0 compliant.
Constructor |
OpenLayers.Format.WFST.v1_0_0 | A class for parsing and generating WFS v1.0.0 transactions.

### Properties

### srsNameInQuery

{Boolean} If true the reference system is passed in Query requests via the “srsName” attribute to the “wfs:Query” element, this property defaults to false as it isn’t WFS 1.0.0 compliant.

### Constructor

### OpenLayers.Format.WFST.v1_0_0

A class for parsing and generating WFS v1.0.0 transactions.

#### Parameters

options | {Object} Optional object whose properties will be set on the instance.

#### Valid options properties

featureType | {String} Local (without prefix) feature typeName (required).
featureNS | {String} Feature namespace (optional).
featurePrefix | {String} Feature namespace alias (optional - only used if featureNS is provided). Default is ‘feature’.
geometryName | {String} Name of geometry attribute. Default is ‘the_geom’.

A class for parsing and generating WFS v1.0.0 transactions.
Write ogc:Filter version 1.0.0.
Superclass for WFST parsers.
Close